org.eclipse.rdf4j.query.parser.sparql

## Class TupleExprBuilder

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.AbstractASTVisitor
  - - org.eclipse.rdf4j.query.parser.sparql.TupleExprBuilder

- All Implemented Interfaces:
    org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor
  Direct Known Subclasses:
    UpdateExprBuilder

  Deprecated.
  since 3.0. This feature is for internal use only: its existence, signature or behavior may change without warning from one release to the next.

      @Deprecated
       @InternalUseOnly
      public class TupleExprBuilder
      extends AbstractASTVisitor

  Author:
    Arjohn Kampman

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `TupleExprBuilder.SameTermCollector` Deprecated.
    `protected class` | `TupleExprBuilder.VarCollector` Deprecated.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ValueFactory` | `valueFactory` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TupleExprBuilder(ValueFactory valueFactory)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ValueExpr` | `castToValueExpr(Object node)` Deprecated.
    `protected Var` | `createAnonVar()` Deprecated. Creates an anonymous Var with a unique, randomly generated, variable name.
    `protected Value` | `getValueForExpr(ValueExpr valueExpr)` Deprecated. Retrieve the associated Value (if any) for the given valueExpr.
    `protected Var` | `mapValueExprToVar(Object valueExpr)` Deprecated. Maps the given valueExpr to a Var.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTAbs node, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTAnd node, Object data)` Deprecated.
    `TupleExpr` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTAskQuery node, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTAvg node, Object data)` Deprecated.
    `BindingSetAssignment` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBindingsClause node, Object data)` Deprecated.
    `BindingSet` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBindingSet node, Object data)` Deprecated.
    `ValueExpr` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBindingValue node, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBind node, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBlankNode node, Object data)` Deprecated.
    `Var` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBlankNodePropertyList node, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBNodeFunc node, Object data)` Deprecated.
    `ValueExpr` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBound node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCeil node, Object data)` Deprecated.
    `Coalesce` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCoalesce node, Object data)` Deprecated.
    `Var` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCollection node, Object data)` Deprecated.
    `Compare` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCompare node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTConcat node, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTConstraint node, Object data)` Deprecated.
    `TupleExpr` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTConstruct node, Object data)` Deprecated.
    `TupleExpr` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTConstructQuery node, Object data)` Deprecated.
    `ValueConstant` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTConstTripleRef node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTContains node, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCount node, Object data)` Deprecated.
    `Datatype` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDatatype node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDay node, Object data)` Deprecated.
    `TupleExpr` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDescribe node, Object data)` Deprecated.
    `TupleExpr` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDescribeQuery node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTEncodeForURI node, Object data)` Deprecated.
    `Exists` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTExistsFunc node, Object data)` Deprecated.
    `ValueConstant` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTFalse node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTFloor node, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTFunctionCall node, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTGraphGraphPattern node, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTGraphPatternGroup node, Object data)` Deprecated.
    `Group` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTGroupClause node, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTGroupConcat node, Object data)` Deprecated.
    `String` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTGroupCondition node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTHours node, Object data)` Deprecated.
    `If` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIf node, Object data)` Deprecated.
    `ValueExpr` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTInfix node, Object data)` Deprecated.
    `BindingSetAssignment` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTInlineData node, Object data)` Deprecated.
    `ValueExpr` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIn node, Object data)` Deprecated.
    `IRIFunction` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIRIFunc node, Object data)` Deprecated.
    `ValueConstant` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIRI node, Object data)` Deprecated.
    `IsBNode` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIsBlank node, Object data)` Deprecated.
    `IsURI` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIsIRI node, Object data)` Deprecated.
    `IsLiteral` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIsLiteral node, Object data)` Deprecated.
    `IsNumeric` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIsNumeric node, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTLangMatches node, Object data)` Deprecated.
    `Lang` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTLang node, Object data)` Deprecated.
    `Long` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTLimit node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTLowerCase node, Object data)` Deprecated.
    `MathExpr` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMath node, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMax node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMD5 node, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMin node, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMinusGraphPattern node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMinutes node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMonth node, Object data)` Deprecated.
    `Not` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTNotExistsFunc node, Object data)` Deprecated.
    `ValueExpr` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTNotIn node, Object data)` Deprecated.
    `Not` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTNot node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTNow node, Object data)` Deprecated.
    `ValueConstant` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTNumericLiteral node, Object data)` Deprecated.
    `List<ValueExpr>` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTObjectList node, Object data)` Deprecated.
    `Long` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOffset node, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOptionalGraphPattern node, Object data)` Deprecated.
    `List<OrderElem>` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOrderClause node, Object data)` Deprecated.
    `OrderElem` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOrderCondition node, Object data)` Deprecated.
    `Or` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOr node, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPathAlternative pathAltNode, Object data)` Deprecated.
    `PropertySetElem` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPathOneInPropertySet node, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPathSequence pathSeqNode, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPropertyList propListNode, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPropertyListPath propListNode, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTQName node, Object data)` Deprecated.
    `TupleExpr` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTQueryContainer node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTRand node, Object data)` Deprecated.
    `ValueConstant` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTRDFLiteral node, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTRegexExpression node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTReplace node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTRound node, Object data)` Deprecated.
    `SameTerm` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSameTerm node, Object data)` Deprecated.
    `Sample` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSample node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSeconds node, Object data)` Deprecated.
    `TupleExpr` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSelect node, Object data)` Deprecated.
    `TupleExpr` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSelectQuery node, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTServiceGraphPattern node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSHA1 node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSHA224 node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSHA256 node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSHA384 node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSHA512 node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrAfter node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrBefore node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrDt node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrEnds node, Object data)` Deprecated.
    `String` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTString node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrLang node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrLen node, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStr node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrStarts node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSTRUUID node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSubstr node, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSum node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTTimezone node, Object data)` Deprecated.
    `TupleExpr` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTTripleRef node, Object data)` Deprecated.
    `ValueConstant` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTTrue node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTTz node, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTUnionGraphPattern node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTUpperCase node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTUUID node, Object data)` Deprecated.
    `Var` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTVar node, Object data)` Deprecated.
    `FunctionCall` | `visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTYear node, Object data)` Deprecated.

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.sparql.AbstractASTVisitor

      `visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### valueFactory

          protected ValueFactory valueFactory

      Deprecated.

  - ### Constructor Detail

    - #### TupleExprBuilder

          public TupleExprBuilder(ValueFactory valueFactory)

      Deprecated.

  - ### Method Detail

    - #### mapValueExprToVar

          protected Var mapValueExprToVar(Object valueExpr)

      Deprecated.
      Maps the given valueExpr to a Var. If the supplied ValueExpr is a Var, the object itself will be returned. If it is a ValueConstant, this method will check if an existing variable mapping exists and return that mapped variable, otherwise it will create and store a new mapping.
      Parameters:
        `valueExpr` -
      Returns:
        a Var for the given valueExpr.
      Throws:
        `IllegalArgumentException` - if the supplied ValueExpr is null or of an unexpected type.

    - #### getValueForExpr

          protected Value getValueForExpr(ValueExpr valueExpr)

      Deprecated.
      Retrieve the associated Value (if any) for the given valueExpr.
      Parameters:
        `valueExpr` -
      Returns:
        the value of the given ValueExpr, or null if no value exists.
      Throws:
        `IllegalArgumentException` - if the supplied ValueExpr is null or of an unexpected type.

    - #### createAnonVar

          protected Var createAnonVar()

      Deprecated.
      Creates an anonymous Var with a unique, randomly generated, variable name.
      Returns:
        an anonymous Var with a unique, randomly generated, variable name

    - #### visit

          public TupleExpr visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTQueryContainer node,
                                 Object data)
                          throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public TupleExpr visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSelectQuery node,
                                 Object data)
                          throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public TupleExpr visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSelect node,
                                 Object data)
                          throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public TupleExpr visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTConstructQuery node,
                                 Object data)
                          throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public TupleExpr visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTConstruct node,
                                 Object data)
                          throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public TupleExpr visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDescribeQuery node,
                                 Object data)
                          throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public TupleExpr visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDescribe node,
                                 Object data)
                          throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public TupleExpr visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTAskQuery node,
                                 Object data)
                          throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### castToValueExpr

          protected ValueExpr castToValueExpr(Object node)

      Deprecated.

    - #### visit

          public Group visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTGroupClause node,
                             Object data)
                      throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public String visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTGroupCondition node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public List<OrderElem> visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOrderClause node,
                                       Object data)
                                throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public OrderElem visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOrderCondition node,
                                 Object data)
                          throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Long visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTLimit node,
                            Object data)
                     throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Long visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOffset node,
                            Object data)
                     throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTGraphPatternGroup node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTServiceGraphPattern node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOptionalGraphPattern node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTGraphGraphPattern node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTUnionGraphPattern node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMinusGraphPattern node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPropertyList propListNode,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPathAlternative pathAltNode,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public PropertySetElem visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPathOneInPropertySet node,
                                       Object data)
                                throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPathSequence pathSeqNode,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPropertyListPath propListNode,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public List<ValueExpr> visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTObjectList node,
                                       Object data)
                                throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Var visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBlankNodePropertyList node,
                           Object data)
                    throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Var visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCollection node,
                           Object data)
                    throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTConstraint node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Or visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOr node,
                          Object data)
                   throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTAnd node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Not visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTNot node,
                           Object data)
                    throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Coalesce visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCoalesce node,
                                Object data)
                         throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Compare visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCompare node,
                               Object data)
                        throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSubstr node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTConcat node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTAbs node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCeil node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTContains node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTFloor node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTRound node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTRand node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public SameTerm visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSameTerm node,
                                Object data)
                         throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Sample visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSample node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public MathExpr visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMath node,
                                Object data)
                         throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTFunctionCall node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTEncodeForURI node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStr node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrDt node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrStarts node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrEnds node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrLen node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrAfter node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrBefore node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTUpperCase node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTLowerCase node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrLang node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTNow node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTYear node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMonth node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDay node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTHours node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMinutes node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSeconds node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTTimezone node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTTz node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMD5 node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSHA1 node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSHA224 node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSHA256 node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSHA384 node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSHA512 node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTUUID node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSTRUUID node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public IRIFunction visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIRIFunc node,
                                   Object data)
                            throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Lang visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTLang node,
                            Object data)
                     throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Datatype visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDatatype node,
                                Object data)
                         throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTLangMatches node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public BindingSetAssignment visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTInlineData node,
                                            Object data)
                                     throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public BindingSetAssignment visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBindingsClause node,
                                            Object data)
                                     throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public BindingSet visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBindingSet node,
                                  Object data)
                           throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public ValueExpr visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBindingValue node,
                                 Object data)
                          throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public ValueExpr visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBound node,
                                 Object data)
                          throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public IsURI visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIsIRI node,
                             Object data)
                      throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public IsBNode visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIsBlank node,
                               Object data)
                        throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public IsLiteral visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIsLiteral node,
                                 Object data)
                          throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public IsNumeric visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIsNumeric node,
                                 Object data)
                          throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBNodeFunc node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTRegexExpression node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public FunctionCall visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTReplace node,
                                    Object data)
                             throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Exists visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTExistsFunc node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Not visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTNotExistsFunc node,
                           Object data)
                    throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public If visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIf node,
                          Object data)
                   throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public ValueExpr visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTInfix node,
                                 Object data)
                          throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public ValueExpr visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIn node,
                                 Object data)
                          throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public ValueExpr visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTNotIn node,
                                 Object data)
                          throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Var visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTVar node,
                           Object data)
                    throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public ValueConstant visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIRI node,
                                     Object data)
                              throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTQName node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBind node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBlankNode node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public ValueConstant visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTRDFLiteral node,
                                     Object data)
                              throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public ValueConstant visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTNumericLiteral node,
                                     Object data)
                              throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public ValueConstant visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTTrue node,
                                     Object data)
                              throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public ValueConstant visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTFalse node,
                                     Object data)
                              throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public String visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTString node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCount node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTGroupConcat node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMax node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMin node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSum node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTAvg node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public TupleExpr visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTTripleRef node,
                                 Object data)
                          throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public ValueConstant visit(org.eclipse.rdf4j.query.parser.sparql.ast.ASTConstTripleRef node,
                                     Object data)
                              throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.